# Componere\Abstract\Definition::addTrait

(Componere 2 >= 2.1.0)

Componere\Abstract\Definition::addTrait — Añadir rasgo

### Descripción

public Componere\Abstract\Definition::addTrait(string `$trait`): Definition

Usará el rasgo dado para la definición actual

### Parámetros

`trait`

  El nombre del rasgo insensible a las mayúsculas y minúsculas

### Valores devueltos

La definición actual

### Exceptions

Advertencia

Lanzará RuntimeException si Definition se registró